Bug 378011 - Fontconfig cannot create caches if system time is incorrect
Summary: Fontconfig cannot create caches if system time is incorrect
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL: http://dev.laptop.org/ticket/1525
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-12 15:47 UTC by Sayamindu Dasgupta
Modified: 2008-06-17 02:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 02:51:02 UTC
Type: ---


Attachments (Terms of Use)

Description Sayamindu Dasgupta 2007-11-12 15:47:24 UTC
Description of problem:
At OLPC, we have come across a bug where fontconfig is unable to create caches
if the system time is set to something which is older than the directory mtime.
The issue is fixed upstream and we backported the patch to be applicable to
fontconfig-2.4.2 as well. The patch is available at
http://dev.laptop.org/attachment/ticket/1525/mtime_fix.patch

Version-Release number of selected component (if applicable):
fontconfig-2.4.2-3.fc7

How reproducible:
Always 

Steps to Reproduce:

I set my RTC of the XO to 1999, flashed the OS, tried fc-cache - it did not work
and Browse activity, once started, hogged 100% of CPU.

Comment 1 Bug Zapper 2008-05-14 15:02:21 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2008-06-17 02:51:00 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.